/* See license.txt for terms of usage */

// -- available functions :
//       -> this.nodeToString(node)
//       -> this.getCustomCSSValue(node, property)
(function() {
	if (!FireTVPlugin.customCSSHooks) {
		FireTVPlugin.customCSSHooks = {};
	}
	FireTVPlugin.customCSSHooks["background-repeat"] = {
		"property" : "background-repeat",
		"propertyValues" : [ "nine-cut" ],
		"listenTo" : [ "background-repeat" ],
		"callback" : function(node, property, triggeredBy) {
			var val = this.getCustomCSSValue(node, property);
			if (FireTVPlugin.customCSSHooks["background-repeat"].propertyValues.indexOf(val) > -1) {
				node.setAttribute("firetv-" + property, val);
			} else {
				node.removeAttribute("firetv-" + property);
			}
		}
	};
})();
