/* See license.txt for terms of usage */

(function() {
	debug = function(text) {
		if (typeof window.console != 'undefined' && typeof window.console.log == 'function') {
			if (/\[error\]/i.test(text) && typeof window.console.error == "function"){
				window.console.error(text);
				return;
			} else if (/\[warn\]/i.test(text) && typeof window.console.info == "function"){
				window.console.warn(text);
				return;
			} else if (/\[info\]/i.test(text) && typeof window.console.info == "function"){
				window.console.info(text);
				return;
			}
			window.console.log(text);
		}
	};
})();